Subject: Re: [dispatch] proposed SIXPAC charter

From: <[email-masked]>
Date: Sun, 7 Nov 2010 17:25:48 +0100

Hi Sebastian,

I believe that at least with the initial work we should stick to the charter proposal and standardize only things that affect the endpoints and do not assume a relationship between the SIP and XMPP providers/infras. We are having trouble getting the charter approved at all, so it seems better to be strict than liberal on what we consider to be in scope.

If we get the chartered items successfully done and there continues to be implementation/deployment interest for this path going even further, we can consider further steps.

Regards,
	Markus 

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On
>Behalf Of ext Schumann Sebastian
>Sent: 28 October, 2010 11:54
>To: 'Emil Ivov'
>Cc: [email-masked]
>Subject: Re: [dispatch] proposed SIXPAC charter
>
>Dear Emil
>
>The charter mentions "dual-stack clients" and that server integration is
>out of scope.
>
>What you stated is basically what I meant. However, not in regard to
>dual-stack clients but separate clients in both networks. That is, using
>e.g., a SIP hard phone and an XMPP communicator "separately" while still
>having the chance to merge the SIP based states in XMPP.
>
>I think that this seems only possible involving infrastructure (which is
>initially excluded). One possibility is, e.g., generating and
>interpreting SIP SIMPLE dialoginfo information w/o client involvement.
>This is complex and should be indeed excluded I agree here. But in the
>end this might re-use exactly those definitions in XMPP to display a SIP
>phone call that are being defined by the charter. The interaction is
>however different from the your proposal.
>
>Another more related option could be the SIP hard phone adding potential
>additional headers (that are in scope to be defined in the charter),
>extracting them on a SIP proxy and using a hidden XMPP client instance
>on server side to "add" this state information as a new resource (e.g.,
>SIP-Phone).
>In principle, I see this similar (to a certain extend) to what the
>charter suggests already. All information that both stacks in the
>clients exchange (correlated states, identities in the respective other
>stack) should be anyways carried in an extension of each protocol as I
>understood. Only the "hidden interaction" of the dual stack client
>between SIP and XMPP would be defined as well so this "functionality"
>can also be implemented out of the clients as separate network entity.
>This would be the only extension I see worth considering.
>
>Best regards
>Sebastian
>
>> -----Original Message-----
>> From: Emil Ivov [mailto:[email-masked]]
>> Sent: Wednesday, 27. October 2010 19:22
>> To: Schumann Sebastian
>> Cc: Peter Saint-Andre; [email-masked]
>> Subject: Re: [dispatch] proposed SIXPAC charter
>>
>> Hey Sebastian,
>>
>> На 27.10.10 10:00, Schumann Sebastian написа:
>> > Dear all, Peter, I think this initiative is touching some very
>actual
>> > problem, I second it as well.
>> >
>> > One question: Would you think that this interaction between SIP and
>> > XMPP would also be targeted not only by dual-stack clients but also
>> > on the network side? That is, having a SIP based telephony
>> > infrastructure (w/o SIP presence) with certain users and a XMPP
>based
>> > IM/P network  (w/o Jingle) with the same users? Having a mechanism
>of
>> > mapping the users in both networks, XMPP presence could be enhanced
>> > with SIP based telephony states. Would you see this in scope or
>> > rather out of scope of your proposal?
>>
>> As it is the charter states:
>>
>> > - Including SIP-based availability states in XMPP presence (limited
>> > to basic presence and availability states only, not the full range
>> > of PIDF extensions)
>>
>> Is this what you mean or did I miss something?
>>
>> Cheers,
>> Emil
>>
>>
>> >
>> > Thanks. Sebastian
>> >
>> >> -----Original Message----- From: [email-masked]
>> >> [mailto:[email-masked]] On Behalf Of Peter Saint-Andre
>> >> Sent: 19 October 2010 21:17 To: [email-masked] Subject:
>> >> [dispatch] proposed SIXPAC charter
>> >>
>> >> Earlier this year, some folks in the RAI area proposed an
>> >> initiative to define a few small extensions to both SIP and XMPP
>> >> that would make it easier to develop and deploy dual-stack SIP+XMPP
>> >> endpoints. Based on feedback provided on the DISPATCH list and
>> >> received from the RAI ADs, I've taken the liberty of rewriting the
>> >> proposed charter, in the hopes that fresh text will spur a more
>> >> conclusive discussion. I'm mostly just trying to help the
>> >> proponents put their best foot forward, so if folks here have more
>> >> feedback I'd expect that people like Simo Veikkolainen and Emil
>> >> Ivov will be able to engage in further discussion.
>> >>
>> >> /psa
>> >>
>> >> ###
>> >>
>> >> SIXPAC (SIP Integration with XMPP in Presence Aware Clients)
>> >>
>> >>
>> =============================================================
>> >>
>> >> Problem Statement
>> >>
>> >> Both the Session Initiation Protocol (SIP) and the Extensible
>> >> Messaging and Presence Protocol (XMPP) are widely deployed
>> >> technologies for real-time communication over the Internet.  In
>> >> order to offer a complete suite of features as well as
>> >> communication across multiple networks, several user-oriented
>> >> software applications support both SIP and XMPP, and more software
>> >> developers have expressed interest in building such "dual-stack"
>> >> solutions.  Unfortunately, it is difficult to provide a good
>> >> end-user experience in such applications because SIP and XMPP are
>> >> not aware of each other.  For example:
>> >>
>> >> - XMPP presence does not include availability states related to a
>> >> SIP voice call or video call (e.g., "on the phone"), thus
>> >> preventing an a dual-stack endpoint from showing presence-based
>> >> communication hints
>> >>
>> >> - There is no correlation between an XMPP IM session and a SIP
>> >> voice or video session, thus preventing a dual-stack endpoint from
>> >> providing integrated user interfaces and communications history
>> >>
>> >> - SIP accounts and XMPP accounts are not directly correlated in
>> >> contact lists or vCards (and not all deployed services support
>> >> storage of such information), thus preventing a dual-stack endpoint
>> >> from knowing that a contact has both SIP and XMPP capabilities
>> >>
>> >> Although some proprietary solutions exist to the foregoing
>> >> problems, it would be preferable to define standardized solutions
>> >> for the sake of improved interoperability.
>> >>
>> >> Objectives
>> >>
>> >> Because both SIP and XMPP are easily extended through new SIP
>> >> headers and XMPP elements, it should be possible to provide
>> >> tighter integration within dual-stack SIP/XMPP user agents to
>> >> improve the user experience.
>> >>
>> >> Any such extensions should meet the following criteria:
>> >>
>> >> - Be completely optional and backwards-compatible for all
>> >> endpoints
>> >>
>> >> - Work without changes to deployed infrastructure such as existing
>> >> SIP and XMPP servers, B2BUAs, firewalls, etc.
>> >>
>> >> The SIXPAC WG will define a small number of SIP and XMPP extensions
>> >> to solve the following use cases in dual-stack endpoints:
>> >>
>> >> - Including SIP-based availability states in XMPP presence (limited
>> >> to basic presence and availability states only, not the full range
>> >> of PIDF extensions)
>> >>
>> >> - Correlating an XMPP IM session with a SIP voice/video session,
>> >> and vice-versa
>> >>
>> >> - Advertising a SIP account address over XMPP and an XMPP account
>> >> address over SIP
>> >>
>> >> Additional use cases are out of scope, including anything related
>> >> to or requiring server integration, multiparty communication,
>> >> SIP-based IM and presence, XMPP-based voice and video, file
>> >> transfer, generalized service discovery and capabilities exchange,
>> >> full protocol translation in communication gateways, shared
>> >> credentials across both SIP and XMPP accounts, rich presence
>> >> extensions for features such as geolocation, etc.  Although such
>> >> topics are important and interesting, they are out of scope for
>> >> this group.
>> >>
>> >> However, in addition to the protocol extensions explicitly
>> >> mentioned above, the group may also define best practices related
>> >> to the implementation and deployment of dual-stack SIP/XMPP
>> >> endpoints, including topics such as user agent configuration.
>> >>
>> >> Deliverables
>> >>
>> >> - Use cases and protocol requirements
>> >>
>> >> - XMPP presence extension for SIP-based availability states
>> >>
>> >> - Media session correlation extensions for SIP and XMPP
>> >>
>> >> - Contact address advertisement extensions for SIP and XMPP
>> >>
>> >> - Best practices for implementation and deployment of dual-stack
>> >> endpoints
>> >>
>> >> Milestones
>> >>
>> >> Feb 2011  Submit use cases and protocol requirements document to
>> >> IESG (Informational)
>> >>
>> >> Oct 2011  Submit XMPP presence extension document to IESG
>> >> (Standards Track)
>> >>
>> >> Oct 2011  Submit media session correlation extensions document to
>> >> IESG (Standards Track)
>> >>
>> >> Oct 2011  Submit contact address advertisement extension document
>> >> to IESG (Standards Track)
>> >>
>> >> Oct 2011  Submit best practices document to IESG (Informational)
>_______________________________________________
>dispatch mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/dispatch